Name:		gtk-layer-shell
Version:	0.1.0
Release:	1%{?dist}
Summary:	A library to write GTK applications that use Layer Shell.
License:	MIT
URL:		https://github.com/wmww/gtk-layer-shell
Source0:	%{name}-%{version}.tar.xz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk3-devel
BuildRequires:	libtool


%description
A library to write GTK applications that use Layer Shell.
Layer Shell is a Wayland protocol for desktop shell components,
such as panels, notifications and wallpapers.
You can use it to anchor your windows to a corner or edge of the output,
or stretch them across the entire output.
This library only makes sense on Wayland compositors that support Layer Shell,
and will not work on X11.
It supports all Layer Shell features including popups and popovers

%package devel
Summary:     Development files for gtk-layer-shell
Requires:    %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for gtk-layer-shell

%prep
%autosetup -p1

#autoreconf -fi
NOCONFIGURE=1 ./autogen.sh

%build
%configure

make %{?_smp_mflags} V=1

%install
%{make_install}

#find %{buildroot} -name '*.a' -exec rm -rf {} ';'


%files
%doc COPYING README.md
%{_bindir}/gtk-layer-demo
%{_bindir}/gtk-layer-example
%{_libdir}/libgtk-layer-shell.a

%files devel
%{_includedir}/gtk-layer-shell/
%{_libdir}/pkgconfig/gtk-layer-shell-0.pc



%changelog
* Thu Dec 20 2018 Wolfgang Ulbrich <fedora@raveit.de> 0.1.0-1
- Initial build

